Bug 1047044 - boinc is always "suspended - computer is in use" - idle time undetected
Summary: boinc is always "suspended - computer is in use" - idle time undetected
Keywords:
Status: CLOSED DUPLICATE of bug 1337607
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: boinc-client
Version: el6
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Laurence Field
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1071623
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-28 17:24 UTC by Leonardo Garcia
Modified: 2016-07-19 08:58 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 08:58:46 UTC


Attachments (Terms of Use)
Global preferences configuration file (1.16 KB, text/xml)
2013-12-28 17:24 UTC, Leonardo Garcia
no flags Details

Description Leonardo Garcia 2013-12-28 17:24:01 UTC
Created attachment 842696 [details]
Global preferences configuration file

Description of problem:

I've been using BOINC under Fedora/RHEL for some years now. I have an account at BAM which holds my boinc execution preferences. Every time I setup a new computer I install boinc-client and boinc-manager, setup boinc-client service to be automatically started, and, through boinc-manager, configure boinc to run based on my execution preferences (usually after computer is idle for 1 minute with no other restrictions).

When I followed all these steps on Fedora 20 with GNOME 3, even though boinc-client is running, its status is always shown as "suspended - computer is in use", even when the computer is left alone for a whole night doing nothing.

I read somewhere on the internet that boinc-client sometimes have issues to identify when a computer is idle. As it is the first time I am using boinc with GNOME 3, I thought that might be the case. They suggested executing "xhost local:boinc" in order to allow boinc user to access X. That didn't help. I have no clue on what should be happening, so I wonder whether boinc-client has any issue with detecting computer activity in GNOME 3.

Version-Release number of selected component (if applicable):

boinc-manager-7.2.33-2.git1994cc8.fc20.x86_64
boinc-client-7.2.33-2.git1994cc8.fc20.x86_64

How reproducible: Always


Actual results:

boinc-client never runs BOINC applications.

Expected results:

boinc-client should be running BOINC applications.

Additional info:

My global_prefs.xml file is attached.

Comment 1 William Paul Liggett 2014-01-02 21:33:56 UTC
I feel your pain, Leonardo.  I am on Ubuntu Linux (v13.10, 64-bit, Unity Desktop Environment) myself and I have the exact same issue...  So, this may not be a specific distro issue.  I started to notice this issue about a week ago, so I don't know if it's a BOINC software issue or if it's with the project servers that I am contributing/downloading from (which is the World Community Grid).  Furthermore, I do not use BAM to manage my account, as I just have an account with WCG; so I don't think it's a BAM issue either.

I am running BOINC software version 7.2.7 (64-bit), but the odd thing is I have been using this same version for months with no problems.  For clarity, I have my BOINC settings to only compute when I am not using the computer for 15 minutes and I have tried changing the "While processor usage is less than" setting from 20, to 80, to now 0 (no restriction) and there seems to be no activity in my BOINC's Event Log.  It's been stuck at trying to download the task files for about a week, and I leave my computer running at night so my BOINC client will conduct lots of number crunching (but obviously this isn't working right now).  I typically set my max download/upload rates to 100 KBps, which should be sufficient for even large files, but there has been no attempt whatsoever for BOINC to even try downloading (according to my BOINC Event Log and my "Transfers" tab).

So, just right now, I have allowed full usage (no 100 KBps restriction) of my bandwidth and have also allowed my BOINC client to use my network connection at any time (even when I am using my computer).  This finally allowed all of the task files to download.  I'll wait and see if my BOINC will do any work after 15 minutes of me not using the computer, as I'm trying to test whether it is a bug with the BOINC network settings.

Let me know if you figure anything out.

Thanks,

--William

Comment 2 Mattia Verga 2014-01-03 18:06:36 UTC
On BOINC forums they say a fix for this problem was applied starting from boinc 7.0.29 (http://boinc.berkeley.edu/dev/forum_thread.php?id=7758).
I think GNOME guys have changed something on how GNOME signals mouse/keyboard activity and now Boinc can't read that information.

As I don't use GNOME and cannot test, the best thing you can do is to open a bug on Boinc bug tracker (http://boinc.berkeley.edu/trac/) or at least ask for help directly on Boinc forums (maybe they're already aware of the problem and can suggest some workaround).

If you open a bug on Boinc bug tracker, please post here a link to that bug.

Comment 3 William Paul Liggett 2014-01-05 20:29:20 UTC
So, I have an update for everyone.  I just went ahead and upgraded my BOINC client/GUI to version 7.2.33 (64-bit) from the main BOINC website (so I am bypassing my Ubuntu specific version).  It now seems to be working correctly, but it is interesting that Leonardo seems to be using this same version and is having problems.  If anything, he may want to uninstall/reinstall to see if that works.

Also, I am not running BOINC as a daemon like my Ubuntu version used to be, as I just used the new version by running the shell install script that essentially just unzipped the files under my account.  I grabbed this version via:  http://boinc.berkeley.edu/dl/boinc_7.2.33_x86_64-pc-linux-gnu.sh (http://boinc.berkeley.edu/download.php)

Comment 4 Mattia Verga 2014-01-06 09:47:20 UTC
Leonardo can you please try this (in a shell as root):
- Stop boinc daemon with 'systemctl stop boinc-client.service'
- Give boinc full access to X with 'xhost +SI:localuser:boinc'
- Start boinc daemon 'systemctl start boinc-client.service'

This way boinc user should have full access to your user X session, check if this way it works.

Comment 5 Leonardo Garcia 2014-01-06 17:27:44 UTC
(In reply to William Paul Liggett from comment #3)
> So, I have an update for everyone.  I just went ahead and upgraded my BOINC
> client/GUI to version 7.2.33 (64-bit) from the main BOINC website (so I am
> bypassing my Ubuntu specific version).  It now seems to be working
> correctly, but it is interesting that Leonardo seems to be using this same
> version and is having problems.  If anything, he may want to
> uninstall/reinstall to see if that works.

Hi William,

Good to see that I am not alone with this issue. :)

I suspect the issue lies in the interaction between BOINC and GNOME 3. From what you said, it seems that Unity used to have issues as well, but they seem to be fixed with the latest version from what you wrote.

As BOINC maintainers are also focused on keeping it running on Ubuntu, I think Ubunut issues would be fixed faster than issues with other distros (or, in this case, graphical management tool).

Anyway, thanks for your comments.

Comment 6 Leonardo Garcia 2014-01-06 17:37:56 UTC
(In reply to Mattia Verga from comment #4)
> Leonardo can you please try this (in a shell as root):
> - Stop boinc daemon with 'systemctl stop boinc-client.service'
> - Give boinc full access to X with 'xhost +SI:localuser:boinc'
> - Start boinc daemon 'systemctl start boinc-client.service'
> 
> This way boinc user should have full access to your user X session, check if
> this way it works.

Hi Mattia,

Thanks for your suggestions. I executed the changes but apparently they didn't work. I'll restart the computer by the end of the day today and see if BOINC runs during the evening. I'll come back with any results here tomorrow.

Comment 7 Mattia Verga 2014-02-19 18:00:51 UTC
I have built boinc 7.2.39 backporting a patch from 7.3 branch that fixes idle time detection on linux. Please test it (it should enter testing repositories in the next hours).

However, I don't think it will fix this problem... I made quick test on a virtual machine and idle time is not yet detected running the client as a daemon, but if I run it from console by my user it works.

I think that the current way boinc is used on fedora (start from systemd and run under the unprivileged 'boinc' user) is no more usable. But this is a change that should be taken by the primary maintainer (Milos).

Comment 8 Philip Rhoades 2014-03-25 11:12:41 UTC
I have just upgraded to:

boinc-client-7.2.39-1.gitdc95e3f.fc19.x86_64
boinc-manager-7.2.39-1.gitdc95e3f.fc19.x86_64
xfce4-session-4.10.1-1.fc19.x86_64 etc

but this BOINC bug is still there for me . . 

Happy to do debugging . . if someone has some suggestions as to how to go about it - otherwise I will have to start boinc-client when I remember to and when I know there is nothing the server will be doing for a while that will be impacted by BOINC running . . (my memory is not good so this will not happen often . . so the BOINC projects suffer . .).

Regards,

Phil.

Comment 9 EMR_Fedora 2015-02-25 00:06:03 UTC
Still happening on Fedora 21 x86_64 (Boinc v 7.2.42)

Comment 10 Leonardo Garcia 2015-02-25 01:44:22 UTC
Yes, this has never been solved. Apparently no interest to run BOINC in Fedora/Gnome3. Moved this bug to Fedora 21.

Comment 11 Leonardo Garcia 2015-02-25 01:47:56 UTC
To avoid any misunderstandings, in my previous comment, no interest means no one with interest/time to volunteer to the BOINC open source project and figure out what is going on. It seems we have some volunteers here to do tests, but still, need someone to volunteer and go hunt what is going on on the code.

Comment 12 Philip Rhoades 2015-02-25 02:07:38 UTC
Leonardo,

OK, for the record I use XFCE not Gnome but the problem still applies.  I have a little programming experience but possibly not enough to sort out the problem by myself . . is there anyone who can mentor or something?

Thanks,

Phil.

Comment 13 EMR_Fedora 2015-02-25 02:54:05 UTC
If it helps from what I read, the only thing that needs to happen is repackage for 7.3.x+ according to bug #1071623 they're up to 7.4.25 (which I understand may involve libraries/devel packages not deployed yet on F21).

I'd be willing to help too.

-e

Comment 14 Leonardo Garcia 2015-06-01 17:29:24 UTC
(In reply to EMR_Fedora from comment #13)
> If it helps from what I read, the only thing that needs to happen is
> repackage for 7.3.x+ according to bug #1071623 they're up to 7.4.25 (which I
> understand may involve libraries/devel packages not deployed yet on F21).
> 
> I'd be willing to help too.
> 
> -e

That would be good to try. Fedora 22 is still on 7.2.42 and the issue still exists there.

Comment 15 Fedora Admin XMLRPC Client 2015-09-30 19:25:35 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 16 Fedora Admin XMLRPC Client 2015-10-01 08:11:05 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 17 Fedora End Of Life 2015-11-04 10:21:46 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Leonardo Garcia 2015-11-11 12:29:41 UTC
This is still an issue with Fedora 23.

Comment 19 Fedora Update System 2016-02-25 10:22:06 UTC
boinc-client-7.6.22-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-268bdbd1df

Comment 20 Fedora Update System 2016-02-25 10:22:06 UTC
boinc-client-7.6.22-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-89ece19b35

Comment 21 Fedora Update System 2016-02-25 10:22:57 UTC
boinc-client-7.6.22-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e698a1a52

Comment 22 Fedora Update System 2016-02-26 20:52:15 UTC
boinc-client-7.6.22-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e698a1a52

Comment 23 Fedora Update System 2016-02-26 20:53:29 UTC
boinc-client-7.6.22-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-89ece19b35

Comment 24 Fedora Update System 2016-02-27 02:20:21 UTC
boinc-client-7.6.22-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-268bdbd1df

Comment 25 Leonardo Garcia 2016-03-10 21:43:10 UTC
The update has been unpushed due to issues with the package.

Comment 26 Germano Massullo 2016-07-19 08:58:46 UTC

*** This bug has been marked as a duplicate of bug 1337607 ***


Note You need to log in before you can comment on or make changes to this bug.